Subject: Re: bug#77005: 31.0.50; Add note about font-lock-keywords-case-fold-search usage

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Mar 2025 10:33:29 +0200

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Mar 2025 13:20:06 -0600
> 
> Eli Zaretskii <[email-masked]> writes: 
> 
>  How did you see that, and where? 
> 
> Mostly in third-party major-mode. But also in built-in ones, for example css-mode that have
> font-lock-keywords-case-fold-search set to 't. 
> 
> I haven't seen any minor mode that uses this variable. I guess the reason is to avoid conflicts with the major
> mode. 
> 
>  We need to understand the issue better to reply to this question. So please provide more details. 
> 
> My idea is to add a kind of note to font-lock-keywords-case-fold-search documentation in lispref tex file to
> avoid any confusion that this can be used in minor modes. 

I wonder why is this necessary.  Minor modes are not supposed to
affect font-lock in the first place, are they?